Package org.optaplanner.core.config.heuristic.selector.move.generic

## Class AbstractPillarMoveSelectorConfig<Config_ extends AbstractPillarMoveSelectorConfig<Config_>>

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<Config_>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<Config_>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<Config_>
      - - org.optaplanner.core.config.heuristic.selector.move.generic.AbstractPillarMoveSelectorConfig<Config_>

- Direct Known Subclasses:
    `PillarChangeMoveSelectorConfig`, `PillarSwapMoveSelectorConfig`

      public abstract class AbstractPillarMoveSelectorConfig<Config_ extends AbstractPillarMoveSelectorConfig<Config_>>
      extends MoveSelectorConfig<Config_>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PillarSelectorConfig` | `pillarSelectorConfig` |
    `protected Class<? extends Comparator>` | `subPillarSequenceComparatorClass` |
    `protected SubPillarType` | `subPillarType` |

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClass, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPillarMoveSelectorConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PillarSelectorConfig` | `getPillarSelectorConfig()` |
    `Class<? extends Comparator>` | `getSubPillarSequenceComparatorClass()` |
    `SubPillarType` | `getSubPillarType()` |
    `Config_` | `inherit​(Config_ inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setPillarSelectorConfig​(PillarSelectorConfig pillarSelectorConfig)` |
    `void` | `setSubPillarSequenceComparatorClass​(Class<? extends Comparator> subPillarSequenceComparatorClass)` |
    `void` | `setSubPillarType​(SubPillarType subPillarType)` |

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClass, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, setCacheType, setFilterClass, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClass, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### subPillarType

          protected SubPillarType subPillarType

    - #### subPillarSequenceComparatorClass

          protected Class<? extends Comparator> subPillarSequenceComparatorClass

    - #### pillarSelectorConfig

          protected PillarSelectorConfig pillarSelectorConfig

  - ### Constructor Detail

    - #### AbstractPillarMoveSelectorConfig

          public AbstractPillarMoveSelectorConfig()

  - ### Method Detail

    - #### getSubPillarType

          public SubPillarType getSubPillarType()

    - #### setSubPillarType

          public void setSubPillarType​(SubPillarType subPillarType)

    - #### getSubPillarSequenceComparatorClass

          public Class<? extends Comparator> getSubPillarSequenceComparatorClass()

    - #### setSubPillarSequenceComparatorClass

          public void setSubPillarSequenceComparatorClass​(Class<? extends Comparator> subPillarSequenceComparatorClass)

    - #### getPillarSelectorConfig

          public PillarSelectorConfig getPillarSelectorConfig()

    - #### setPillarSelectorConfig

          public void setPillarSelectorConfig​(PillarSelectorConfig pillarSelectorConfig)

    - #### inherit

          public Config_ inherit​(Config_ inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `MoveSelectorConfig<Config_ extends AbstractPillarMoveSelectorConfig<Config_>>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this